ContextHandler (Apache Tomcat 8.5.96 API Documentation)

Package org.apache.tomcat.util.descriptor.web

## Class ContextHandler

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase
  - - org.apache.tomcat.util.descriptor.web.ContextHandler

- All Implemented Interfaces:
    `java.io.Serializable`, `Injectable`

      public class ContextHandler
      extends ResourceBase

  Representation of a handler reference for a web service, as represented in a `<handler>` element in the deployment descriptor.
  Author:
    Fabien Carrion
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addPortName​(java.lang.String portName)` |
    `void` | `addSoapHeaders​(java.lang.String localpart, java.lang.String namespaceuri)` |
    `void` | `addSoapRole​(java.lang.String soapRole)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getHandlerclass()` |
    `java.util.Iterator<java.lang.String>` | `getLocalparts()` |
    `java.lang.String` | `getNamespaceuri​(java.lang.String localpart)` |
    `java.lang.String` | `getPortName​(int i)` |
    `int` | `getPortNamesSize()` |
    `java.lang.String` | `getSoapRole​(int i)` |
    `int` | `getSoapRolesSize()` |
    `int` | `hashCode()` |
    `void` | `setHandlerclass​(java.lang.String handlerclass)` |
    `void` | `setProperty​(java.lang.String name, java.lang.String value)` | Set a configured property.
    `java.lang.String` | `toString()` | Return a String representation of this object.

    - ### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

      `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextHandler

          public ContextHandler()

  - ### Method Detail

    - #### getHandlerclass

          public java.lang.String getHandlerclass()

    - #### setHandlerclass

          public void setHandlerclass​(java.lang.String handlerclass)

    - #### getLocalparts

          public java.util.Iterator<java.lang.String> getLocalparts()

    - #### getNamespaceuri

          public java.lang.String getNamespaceuri​(java.lang.String localpart)

    - #### addSoapHeaders

          public void addSoapHeaders​(java.lang.String localpart,
                                     java.lang.String namespaceuri)

    - #### setProperty

          public void setProperty​(java.lang.String name,
                                  java.lang.String value)

      Set a configured property.
      Parameters:
        `name` - The property name
        `value` - The property value

    - #### getSoapRole

          public java.lang.String getSoapRole​(int i)

    - #### getSoapRolesSize

          public int getSoapRolesSize()

    - #### addSoapRole

          public void addSoapRole​(java.lang.String soapRole)

    - #### getPortName

          public java.lang.String getPortName​(int i)

    - #### getPortNamesSize

          public int getPortNamesSize()

    - #### addPortName

          public void addPortName​(java.lang.String portName)

    - #### toString

          public java.lang.String toString()

      Return a String representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ResourceBase`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ResourceBase`